| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Private Attributes | List of all members
GaudiPluginService.cpluginsvc.Factory Class Reference
Inheritance diagram for GaudiPluginService.cpluginsvc.Factory:
[legend]
Collaboration diagram for GaudiPluginService.cpluginsvc.Factory:
[legend]

## Public Member Functions
def | name (self)
def | library (self)
def | type (self)
def | rtype (self)
def | classname (self)
def | properties (self)
def | load (self)
def | __repr__ (self)

## Static Private Attributes
list | _fields_

## Detailed Description

    Factory holds informations about a component's factory:
    - its name
    - the library hosting that component
    - the type of component (algorithm, service, tool, ...)
    - the return type of this factory
    - the C++ class name of that component
    - the properties which may decorate that component.

Definition at line 78 of file cpluginsvc.py.

## Member Function Documentation

def GaudiPluginService.cpluginsvc.Factory.__repr__ | ( |  | self | ) |

Definition at line 127 of file cpluginsvc.py.

127 def __repr__(self):
128 return "<Factory id=%s library=%s type=%s rtype=%s class=%s props=%d>" % (
129 self._id,
130 self.library,
131 self.type,
132 self.rtype,
133 self.classname,
134 len(self.properties),
135 )
GaudiPluginService.cpluginsvc.Factory.type
def type(self)
Definition: cpluginsvc.py:102
GaudiPluginService.cpluginsvc.Factory.classname
def classname(self)
Definition: cpluginsvc.py:110
GaudiPluginService.cpluginsvc.Factory.library
def library(self)
Definition: cpluginsvc.py:98
GaudiPluginService.cpluginsvc.Factory.properties
def properties(self)
Definition: cpluginsvc.py:114
GaudiPluginService.cpluginsvc.Factory.rtype
def rtype(self)
Definition: cpluginsvc.py:106
GaudiPluginService.cpluginsvc.Factory.__repr__
def __repr__(self)
Definition: cpluginsvc.py:127

def GaudiPluginService.cpluginsvc.Factory.classname | ( |  | self | ) |

Definition at line 110 of file cpluginsvc.py.

110 def classname(self):
111 return _lib.cgaudi_factory_get_classname(self)
112
GaudiPluginService.cpluginsvc.Factory.classname
def classname(self)
Definition: cpluginsvc.py:110

def GaudiPluginService.cpluginsvc.Factory.library | ( |  | self | ) |

Definition at line 98 of file cpluginsvc.py.

98 def library(self):
99 return _lib.cgaudi_factory_get_library(self)
100
GaudiPluginService.cpluginsvc.Factory.library
def library(self)
Definition: cpluginsvc.py:98

def GaudiPluginService.cpluginsvc.Factory.load | ( |  | self | ) |

    load the C++ library hosting this factory

Definition at line 122 of file cpluginsvc.py.

122 def load(self):
123 '''load the C++ library hosting this factory
124 '''
125 return ctypes.cdll.LoadLibrary(self.library)
126
GaudiPluginService.cpluginsvc.Factory.library
def library(self)
Definition: cpluginsvc.py:98
GaudiPluginService.cpluginsvc.Factory.load
def load(self)
Definition: cpluginsvc.py:122

def GaudiPluginService.cpluginsvc.Factory.name | ( |  | self | ) |

Definition at line 94 of file cpluginsvc.py.

94 def name(self):
95 return self._id
96
GaudiPluginService.cpluginsvc.Factory.name
def name(self)
Definition: cpluginsvc.py:94

def GaudiPluginService.cpluginsvc.Factory.properties | ( |  | self | ) |

Definition at line 114 of file cpluginsvc.py.

114 def properties(self):
115 props = {}
116 nprops = _lib.cgaudi_factory_get_property_size(self)
117 for i in range(nprops):
118 prop = _lib.cgaudi_factory_get_property_at(self, i)
119 props[prop.key] = prop.value
120 return props
121
Gaudi::Functional::details::zip::range
decltype(auto) range(Args &&...args)
Zips multiple containers together to form a single range.
Definition: FunctionalDetails.h:57
GaudiPluginService.cpluginsvc.Factory.properties
def properties(self)
Definition: cpluginsvc.py:114

def GaudiPluginService.cpluginsvc.Factory.rtype | ( |  | self | ) |

Definition at line 106 of file cpluginsvc.py.

106 def rtype(self):
107 return _lib.cgaudi_factory_get_rtype(self)
108
GaudiPluginService.cpluginsvc.Factory.rtype
def rtype(self)
Definition: cpluginsvc.py:106

def GaudiPluginService.cpluginsvc.Factory.type | ( |  | self | ) |

Definition at line 102 of file cpluginsvc.py.

102 def type(self):
103 return _lib.cgaudi_factory_get_type(self)
104
GaudiPluginService.cpluginsvc.Factory.type
def type(self)
Definition: cpluginsvc.py:102

## Member Data Documentation

list GaudiPluginService.cpluginsvc.Factory._fields_
| static private

Initial value:
1 = [
2 ("_registry", Registry),
3 ("_id", ctypes.c_char_p),
4 ]

Definition at line 88 of file cpluginsvc.py.

The documentation for this class was generated from the following file:

- GaudiPluginService/python/GaudiPluginService/cpluginsvc.py